**Note**: tested on Ubuntu 10.10 (32-bit) and on Debian Squeeze (64-bit)


# Installation Instructions

~~~~
sudo apt-get install erlang

# misultin (Dependency)
wget http://misultin.googlecode.com/files/misultin-0.6.2.zip
unzip misultin-0.6.2.zip
cd misultin-0.6.2
make
sudo cp -r `pwd` /usr/lib/erlang/lib/
    
# ecotruck

tar -xzf ecotruck.tar.gz
cd ecotruck
make
sudo make install
~~~~

# Running the Applications

Anoi3te tria terminals (gia ta 3 Erlang VM instances)


## Term1 - DF application
~~~~
term1> erl -sname df1 -setcookie 123
(df1@HOSTNAME)1> 
> application:start(df).
~~~~

## Term2 - Customer instance

- me etoima attributes

~~~~
term2> erl -sname truck1 -setcookie 123 -config ecotruck/truck/config/truck1.config 
~~~~

- me user-provided attrs

~~~~
term2> erl -sname truck1 -setcookie 123 -truck lat TRUCK_LAT lng TRUCK_LNG val TRUCK_CURRENT_CAPACITY cap TRUCK_FULL_CAPACITY
(truck1@HOSTNAME)1> 
> application:start(inets). 
> application:start(truck).
> truck:login().
~~~~

# Term3 - Truck instance

~~~~
term3> erl -sname customer1 -setcookie 123
(customer1@HOSTNAME)1> 
> application:start(customer).
~~~~

ston browser pigainete sto http://localhost:8000 gia to GUI tou customer


