-module(customer_sup).
-behaviour(supervisor).

start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

init(_Args) ->
    CustomerWebServer = { customer_web, 
                    {customer_web, start_link, [8000]}, 
                    transient,
                    10000,
                    worker,
                    [customer_web] },
    {ok, { {one_for_one, 1,1}, [CustomerWebServer] }}.

          
     
