-module(df_db).

create_table() ->
    ets:new(df_db,[named_table]).

delete_table() ->
    ets:delete(df_db).

insert(X = {_Pid, _Node, _Type, _Lat, _Lng, _Val}) ->
    ets:insert(df_db,X).

delete(X) ->
    ets:delete(df_db,X).

member(X) ->
    ets:member(df_db,X).

list_trucks() ->
    lists:flatten(ets:match(df_db,{'$1','_',truck, '_', '_', '_'})).

list_all() ->
    ets:match(df_db,{'_','$0','$1', '$2', '$3', '$4'}).
    %ets:tab2list(?MODULE).
