-module(df_sup).
-behaviour(supervisor).

start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

init(_Args) ->
    DfServer = { df, 
                 {df, start_link, []}, 
                 transient,
                 10000,
                 worker,
                 [df, df_db] },
    DfWebServer = { df_web, 
                    {df_web, start_link, [8080]}, 
                    transient,
                    10000,
                    worker,
                    [df_web] },
    {ok, { {one_for_one, 1,1}, [DfServer, DfWebServer] }}.

          
     
