-define(PROG_SPEED, 0.1).                         % 10x
-define(BASE, {40.625606,22.960431}).
-define(IDLE,0).
-define(DRIVING,1).
-define(RETURNING,2).

%% Truck Records
-record(state, {
          position,                             % {Lat, Lng}
          value,                                % float() - capacity
          jobs,                                 % [job]
          cap,
          status                                % IDLE | DRIVING | RETURNING
         }).

-record(job, {
          responder,     % pid() of the responder who made the request
          start_position,
          end_position,
          eta,
          value                            % float() - pickup quantity
         }).


