-module(truck_sup).
-behaviour(supervisor).

start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

init(_Args) ->
    TruckServer = { truck, 
                    {truck, start_link, []}, 
                    transient,
                    10000,
                    worker,
                    [truck,truck_driver,truck_responder] },
    TruckDriver = { truck_driver,
                    {truck_driver, start_link, []},
                    transient,
                    10000,
                    worker,
                    [truck,truck_driver,truck_responder] },
    {ok, { {one_for_all, 1,1}, [TruckServer, TruckDriver] }}.

          
     
